Bug 10170 - non translatable strings in manage-marc-import (actions and table values)
Summary: non translatable strings in manage-marc-import (actions and table values)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Adrien SAURAT
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 9215
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 08:22 UTC by Adrien SAURAT
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
non translatable strings (112.36 KB, image/jpeg)
2013-05-02 08:22 UTC, Adrien SAURAT
Details
proposed patch #1 (5.52 KB, patch)
2013-05-02 15:02 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Bug 10170: strings in MARC import made translatable (5.67 KB, patch)
2013-05-03 08:53 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10170: strings in MARC import made translatable (5.76 KB, patch)
2013-05-08 12:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review
bug 10170: expose more managed staged MARC strings to translation (1.68 KB, patch)
2013-05-20 15:42 UTC, Galen Charlton
Details | Diff | Splinter Review
bug 10170: expose more managed staged MARC strings to translation (1.75 KB, patch)
2013-07-09 08:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 10170: strings in MARC import made translatable (5.81 KB, patch)
2013-07-14 11:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10170: expose more managed staged MARC strings to translation (2.06 KB, patch)
2013-07-14 11:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2013-05-02 08:22:07 UTC
Created attachment 17880 [details]
non translatable strings

The bug 9215 enabled the translation of the "Status" information in the manage-marc-import page.
But the same problem remains with other strings in this page. See screenshot.
Comment 1 Adrien SAURAT 2013-05-02 15:02:22 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-05-03 08:53:38 UTC Comment hidden (obsolete)
Comment 3 mathieu saby 2013-05-03 21:27:04 UTC
Made for Rennes 2. Thank you Adrien & Chris ;-)

M. Saby
Comment 4 Marcel de Rooy 2013-05-08 12:36:15 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2013-05-08 12:38:59 UTC
QA Comment:
Clear changes to template!

Table design still refers to value 'use_template' for overlay_action. This seems to be obsolete? Followup for table needed? 
record_lis.status: you do not include 'error' ,'staged','items_reverted'? See table design. If needed, please send a followup. 
record_lis.overlay_status: Same for 'auto_match','manual_match'? 

It seems that Stage-marc-import does not correctly save my actions. When I choose Ignore, manage-marc-import comes back with Add.
If I change the values on manage-marc-import, it looks okay though. So this is outside scope of this report. Can you confirm this error?

Although this may still need some attention, we are improving the template.

Passed QA
Comment 6 Galen Charlton 2013-05-20 15:42:02 UTC Comment hidden (obsolete)
Comment 7 Galen Charlton 2013-05-20 15:47:16 UTC
Adrien's patch is fine as far as it goes, but I've attached a follow-up that addresses Marcel's observation about the 'auto_match' overlay status and 'staged' and 'error' record status -- for simple stuff like this, I prefer to push a patch or a patch series that completely addresses the problem.

I've intentionally not supplied anything for the 'manual_match' and 'items_reverted' statuses, as there's at present no code that will set them.  Hopefully this can be fixed in time for 3.14.

For the record, the intention was that 'manual_match' would signify that a user had performed a search and manually identified a matching bib record, while 'items_reverted' would signify an operation that would remove items added during a previous commit without reverting the bib record as well.
Comment 8 Jonathan Druart 2013-07-09 08:04:29 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2013-07-14 11:44:36 UTC
Created attachment 19626 [details] [review]
[PASSED QA] Bug 10170: strings in MARC import made translatable

Following bug 9215: non translatable strings are now
present in the template and translatable

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Not only does this make the strings translatable it makes the template
a lot easier to read
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass.
Comment 10 Katrin Fischer 2013-07-14 11:44:57 UTC
Created attachment 19627 [details] [review]
[PASSED QA] Bug 10170: expose more managed staged MARC strings to translation

This commit makes it possible to translated the 'staged'
and 'error' record statuses as well as the 'auto_match'
overlay status.

Also takes out a bit of HTML cruft in one string that is
not needed for translation.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass. New strings are parsed into the po files:
"%s Always add items %s Add items only if matching bib was found %s Add items only if no matching bib was found %s Ignore items %s %s %s %s "
"%s No match %s Match applied %s Match found %s %s %s "
Comment 11 Galen Charlton 2013-07-16 15:46:25 UTC
Pushed to master.  Thanks, Adrien!
Comment 12 Tomás Cohen Arazi 2013-07-25 17:07:48 UTC
This patch has been pushed to 3.12.x, will be in 3.12.3.

Thanks Adrien!
Comment 13 Bernardo Gonzalez Kriegel 2013-08-05 00:37:16 UTC
Pushed to 3.10.x, will be in 3.10.10